列出 privilegedRoleAssignments
本文内容
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
注意
2021 年 5 月 31 日,已弃用适用于 Azure Active Directory (Azure AD) 角色的 Privileged Identity Management (PIM) API 版本,并停止返回数据。 使用新的 角色管理 API。
检索 PrivilegedRoleAssignment 对象的列表,这些对象对应于组织的所有角色分配。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
请求者需要具有以下角色之一: 特权角色管理员 、 全局管理员 、 安全管理员 或 安全读取者 。
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
Directory.AccessAsUser.All
委派(个人 Microsoft 帐户)
不支持。
应用程序
不支持。
HTTP 请求
GET /privilegedRoleAssignments
可选的查询参数
此方法支持 OData 查询参数 来帮助自定义响应。
名称
说明
Authorization
Bearer {token}。必需。
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应正文中返回一个 200 OK 响应代码和 PrivilegedRoleAssignment 对象集合。
请注意,租户需要注册到 PIM。 否则,将返回 HTTP 403 禁止的状态代码。
示例
获取所有角色分配
请求
以下示例演示获取所有角色分配的请求:
GET https://graph.microsoft.com/beta/privilegedRoleAssignments
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var privilegedRoleAssignments = await graphClient.PrivilegedRoleAssignments
.Request()
.GetAsync();
const options = {
authProvider,
};
const client = Client.init(options);
let privilegedRoleAssignments = await client.api('/privilegedRoleAssignments')
.version('beta')
.get();
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/privilegedRoleAssignments"]]];
[urlRequest setHTTPMethod:@"GET"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
NSError *jsonError = nil;
MSCollection *collection = [[MSCollection alloc] initWithData:data error:&jsonError];
MSGraphPrivilegedRoleAssignment *privilegedRoleAssignment = [[MSGraphPrivilegedRoleAssignment alloc] initWithDictionary:[[collection value] objectAtIndex: 0] error:&nserror];
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
PrivilegedRoleAssignmentCollectionPage privilegedRoleAssignments = graphClient.privilegedRoleAssignments()
.buildRequest()
.get();
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
result, err := graphClient.PrivilegedRoleAssignments().Get()
Import-Module Microsoft.Graph.Identity.Governance
Get-MgPrivilegedRoleRoleAssignment
响应
以下示例显示了相应的响应。 注意:为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-type: application/json
{
"value": [
{
"id": "id-value",
"userId": "userId-value",
"roleId": "roleId-value",
"isElevated": true,
"expirationDateTime": "2016-10-19T10:37:00Z",
"resultMessage": "resultMessage-value"
}
]
}
获取活动角色分配
请求
以下示例演示查询活动角色分配的请求:
GET https://graph.microsoft.com/beta/privilegedRoleAssignments?$filter=isElevated%20eq%20true
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var privilegedRoleAssignments = await graphClient.PrivilegedRoleAssignments
.Request()
.Filter("isElevated eq true")
.GetAsync();
const options = {
authProvider,
};
const client = Client.init(options);
let privilegedRoleAssignments = await client.api('/privilegedRoleAssignments')
.version('beta')
.filter('isElevated eq true')
.get();
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/privilegedRoleAssignments?$filter=isElevated%20eq%20true"]]];
[urlRequest setHTTPMethod:@"GET"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
NSError *jsonError = nil;
MSCollection *collection = [[MSCollection alloc] initWithData:data error:&jsonError];
MSGraphPrivilegedRoleAssignment *privilegedRoleAssignment = [[MSGraphPrivilegedRoleAssignment alloc] initWithDictionary:[[collection value] objectAtIndex: 0] error:&nserror];
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
PrivilegedRoleAssignmentCollectionPage privilegedRoleAssignments = graphClient.privilegedRoleAssignments()
.buildRequest()
.filter("isElevated eq true")
.get();
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestParameters := &msgraphsdk.PrivilegedRoleAssignmentsRequestBuilderGetQueryParameters{
Filter: "isElevated%20eq%20true",
}
options := &msgraphsdk.PrivilegedRoleAssignmentsRequestBuilderGetRequestConfiguration{
QueryParameters: requestParameters,
}
result, err := graphClient.PrivilegedRoleAssignments().GetWithRequestConfigurationAndResponseHandler(options, nil)
Import-Module Microsoft.Graph.Identity.Governance
Get-MgPrivilegedRoleRoleAssignment -Filter "isElevated eq true"
响应
以下示例显示了相应的响应。 注意:为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-type: application/json
{
"value": [
{
"id": "0f693614-c255-4cf5-92fa-74e770c656d8_62e90394-69f5-4237-9190-012177145e10",
"userId": "0f693614-c255-4cf5-92fa-74e770c656d8",
"roleId": "62e90394-69f5-4237-9190-012177145e10",
"isElevated": true,
"expirationDateTime": null,
"resultMessage": null
},
{
"id": "0f693614-c255-4cf5-92fa-74e770c656d8_95e79109-95c0-4d8e-aee3-d01accf2d47b",
"userId": "0f693614-c255-4cf5-92fa-74e770c656d8",
"roleId": "95e79109-95c0-4d8e-aee3-d01accf2d47b",
"isElevated": true,
"expirationDateTime": "2017-07-25T17:38:49.563Z",
"resultMessage": null
}
]
}
获取永久角色分配
请求
以下示例演示查询永久角色分配的请求,其中 expirationDateTime 值为 null:
GET https://graph.microsoft.com/beta/privilegedRoleAssignments?$filter=isElevated%20eq%20true%20and%20expirationDateTime%20eq%20null
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var privilegedRoleAssignments = await graphClient.PrivilegedRoleAssignments
.Request()
.Filter("isElevated eq true and expirationDateTime eq null")
.GetAsync();
const options = {
authProvider,
};
const client = Client.init(options);
let privilegedRoleAssignments = await client.api('/privilegedRoleAssignments')
.version('beta')
.filter('isElevated eq true and expirationDateTime eq null')
.get();
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/privilegedRoleAssignments?$filter=isElevated%20eq%20true%20and%20expirationDateTime%20eq%20null"]]];
[urlRequest setHTTPMethod:@"GET"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
NSError *jsonError = nil;
MSCollection *collection = [[MSCollection alloc] initWithData:data error:&jsonError];
MSGraphPrivilegedRoleAssignment *privilegedRoleAssignment = [[MSGraphPrivilegedRoleAssignment alloc] initWithDictionary:[[collection value] objectAtIndex: 0] error:&nserror];
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
PrivilegedRoleAssignmentCollectionPage privilegedRoleAssignments = graphClient.privilegedRoleAssignments()
.buildRequest()
.filter("isElevated eq true and expirationDateTime eq null")
.get();
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestParameters := &msgraphsdk.PrivilegedRoleAssignmentsRequestBuilderGetQueryParameters{
Filter: "isElevated%20eq%20true%20and%20expirationDateTime%20eq%20null",
}
options := &msgraphsdk.PrivilegedRoleAssignmentsRequestBuilderGetRequestConfiguration{
QueryParameters: requestParameters,
}
result, err := graphClient.PrivilegedRoleAssignments().GetWithRequestConfigurationAndResponseHandler(options, nil)
Import-Module Microsoft.Graph.Identity.Governance
Get-MgPrivilegedRoleRoleAssignment -Filter "isElevated eq true and expirationDateTime eq null"
响应
以下示例显示了相应的响应。 注意:为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-type: application/json
{
"value": [
{
"id": "0f693614-c255-4cf5-92fa-74e770c656d8_194ae4cb-b126-40b2-bd5b-6091b380977d",
"userId": "0f693614-c255-4cf5-92fa-74e770c656d8",
"roleId": "194ae4cb-b126-40b2-bd5b-6091b380977d",
"isElevated": true,
"expirationDateTime": null,
"resultMessage": null
},
{
"id": "0f693614-c255-4cf5-92fa-74e770c656d8_44367163-eba1-44c3-98af-f5787879f96a",
"userId": "0f693614-c255-4cf5-92fa-74e770c656d8",
"roleId": "44367163-eba1-44c3-98af-f5787879f96a",
"isElevated": true,
"expirationDateTime": null,
"resultMessage": null
}
]
}
获取符合条件的角色分配
请求
以下示例演示查询符合条件的角色分配的请求,包括活动和非活动角色分配:
GET https://graph.microsoft.com/beta/privilegedRoleAssignments?$filter=isElevated%20eq%20true%20and%20expirationDateTime%20ne%20null%20or%20isElevated%20eq%20false
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var privilegedRoleAssignments = await graphClient.PrivilegedRoleAssignments
.Request()
.Filter("isElevated eq true and expirationDateTime ne null or isElevated eq false")
.GetAsync();
const options = {
authProvider,
};
const client = Client.init(options);
let privilegedRoleAssignments = await client.api('/privilegedRoleAssignments')
.version('beta')
.filter('isElevated eq true and expirationDateTime ne null or isElevated eq false')
.get();
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/privilegedRoleAssignments?$filter=isElevated%20eq%20true%20and%20expirationDateTime%20ne%20null%20or%20isElevated%20eq%20false"]]];
[urlRequest setHTTPMethod:@"GET"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
NSError *jsonError = nil;
MSCollection *collection = [[MSCollection alloc] initWithData:data error:&jsonError];
MSGraphPrivilegedRoleAssignment *privilegedRoleAssignment = [[MSGraphPrivilegedRoleAssignment alloc] initWithDictionary:[[collection value] objectAtIndex: 0] error:&nserror];
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
PrivilegedRoleAssignmentCollectionPage privilegedRoleAssignments = graphClient.privilegedRoleAssignments()
.buildRequest()
.filter("isElevated eq true and expirationDateTime ne null or isElevated eq false")
.get();
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestParameters := &msgraphsdk.PrivilegedRoleAssignmentsRequestBuilderGetQueryParameters{
Filter: "isElevated%20eq%20true%20and%20expirationDateTime%20ne%20null%20or%20isElevated%20eq%20false",
}
options := &msgraphsdk.PrivilegedRoleAssignmentsRequestBuilderGetRequestConfiguration{
QueryParameters: requestParameters,
}
result, err := graphClient.PrivilegedRoleAssignments().GetWithRequestConfigurationAndResponseHandler(options, nil)
Import-Module Microsoft.Graph.Identity.Governance
Get-MgPrivilegedRoleRoleAssignment -Filter "isElevated eq true and expirationDateTime ne null or isElevated eq false"
响应
以下示例显示了相应的响应。 注意:为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-type: application/json
{
"value": [
{
"id": "0f693614-c255-4cf5-92fa-74e770c656d8_95e79109-95c0-4d8e-aee3-d01accf2d47b",
"userId": "0f693614-c255-4cf5-92fa-74e770c656d8",
"roleId": "95e79109-95c0-4d8e-aee3-d01accf2d47b",
"isElevated": true,
"expirationDateTime": "2017-07-25T18:42:26.823Z",
"resultMessage": null
},
{
"id": "2cf9eef8-bc67-4aa4-bb65-75cc9e5c3f81_194ae4cb-b126-40b2-bd5b-6091b380977d",
"userId": "2cf9eef8-bc67-4aa4-bb65-75cc9e5c3f81",
"roleId": "194ae4cb-b126-40b2-bd5b-6091b380977d",
"isElevated": false,
"expirationDateTime": null,
"resultMessage": null
},
{
"id": "2cf9eef8-bc67-4aa4-bb65-75cc9e5c3f81_9360feb5-f418-4baa-8175-e2a00bac4301",
"userId": "2cf9eef8-bc67-4aa4-bb65-75cc9e5c3f81",
"roleId": "9360feb5-f418-4baa-8175-e2a00bac4301",
"isElevated": false,
"expirationDateTime": null,
"resultMessage": null
},
{
"id": "2cf9eef8-bc67-4aa4-bb65-75cc9e5c3f81_95e79109-95c0-4d8e-aee3-d01accf2d47b",
"userId": "2cf9eef8-bc67-4aa4-bb65-75cc9e5c3f81",
"roleId": "95e79109-95c0-4d8e-aee3-d01accf2d47b",
"isElevated": false,
"expirationDateTime": null,
"resultMessage": null
}
]
}